Dy porta të konfiguruara me të njëjtin çelës të përbashkët paraprak përfundojnë një shtrëngim duarsh, dhe regjistrimi i paketave nuk tregon asnjë sekret që kalon telin. Kjo është pjesa që njerëzit mbajnë mend. Pjesa interesante është çfarë llogarit në të vërtetë secili version për të dëshmuar se sekreti njihet, sepse IKEv1 dhe IKEv2 e ndërtojnë atë provë nga të dhëna të ndryshme dhe zbulojnë informacion të ndryshëm gjatë kësaj. Lexoni dy gjurmët krah për krah dhe ndryshimi pushon së qeni kozmetik.

Çfarë duhet të arrijë prova

Diffie-Hellman u jep të dy palëve një vlerë të përbashkët, gjysmat publike të së cilës mund t'i llogarisë edhe kushdo që vëzhgon. Në vetvete kjo nuk provon asgjë për identitetin: një sulmues që përfundon një shkëmbim çelësash ka të njëjtën vlerë të përbashkët si porta juaj. Hapi i vërtetimit ekziston për ta lidhur atë shkëmbim me një sekret që e kanë vetëm palët e synuara, dhe me identitetet e parametrat për të cilat u morën vesh.

Pikërisht kjo lidhje është arsyeja pse hash-i mbulon më shumë se çelësi. Po ta mbulonte vetëm sekretin, një sulmues mund ta riprodhonte në një shkëmbim tjetër me identitete ose propozime të tjera.

IKEv1 Main Mode: nxirr SKEYID, pastaj provoje

Main Mode ekzekuton gjashtë mesazhe. Çifti i parë negocion shoqatën e sigurisë, i dyti shkëmben vlerat publike Diffie-Hellman dhe nonce, dhe i treti mbart identitete plus hash-e vërtetimi nën kriptimin që sapo u vendos. RFC 2409 përcakton ndërtimin: me vërtetim me çelës të përbashkët paraprak, SKEYID nxirret nga sekreti dhe të dy nonce, dhe materiali i mëvonshëm i çelësit nga SKEYID, vlera e përbashkët Diffie-Hellman, cookies dhe konstantet.

Hash-i në mesazhin e pestë dhe të gjashtë llogaritet mbi vlerën Diffie-Hellman, dy cookies, propozimin dhe identitetin e dërguesit, me SKEYID si çelës. Marrësi e rillogarit me sekretin e vet të konfiguruar. Mospërputhja e mbyll shkëmbimin, dhe sekreti vetë nuk është kurrë ngarkesë.

Aggressive Mode e ngjesh të njëjtin punë në tre mesazhe, që do të thotë se identitetet dhe hash-i i vërtetimit udhëtojnë përpara se të ekzistojë një kanal i kriptuar. Kjo është ekspozim i vërtetë për një sekret të hamendësueshëm, dhe është e ndarë nga pyetja nëse sekreti u transmetua. IKEv1 është vjetëruar nga RFC 9395, prandaj një gjurmë e vjetër është ushtrim diagnostik, jo objektiv vendosjeje.

IKEv2: një nxjerrje tjetër dhe një ngarkesë AUTH tjetër

IKEv2 nuk ripërdor planin e çelësave të IKEv1. Çelësat fillestarë IKE vijnë nga një farë e ndërtuar nga nonce-t dhe vlera e përbashkët Diffie-Hellman, dhe shoqatat e sigurisë fëmijë nxirren prej saj. Çelësi i përbashkët paraprak nuk e ushqen farën fare.

Vërtetimi shfaqet pastaj si ngarkesë AUTH. Për vërtetim me çelës të përbashkët, RFC 7296 përcakton një formë të mbushur të sekretit, e përftuar duke hash-uar sekretin me vargun fiks Key Pad for IKEv2, dhe pastaj duke hash-uar të dhënat e shkëmbimit të nënshkruara dhe identitetin me atë çelës të mbushur. Verifikuesi mund të rindërtojë të njëjtën vlerë; një vëzhgues nuk mundet, pa sekretin.

Vini re çfarë ndryshoi. Në IKEv1 sekreti piqet në planin e çelësave përpara se hash-i i vërtetimit të ekzistojë; në IKEv2 plani i çelësave është i pavarur nga sekreti dhe prova është një ngarkesë e veçantë e lidhur me oktetat e nënshkruara. E njëjta garanci konceptuale, makineri tjetër, dhe kjo është arsyeja pse emrat e parametrave dhe regjistrimet nuk përputhen një me një.

Çfarë mëson në të vërtetë një vëzhgues

Vlerat publike Diffie-Hellman, propozimet, nonce-t dhe cookies janë të dukshme në të dy versionet. Identitetet janë të dukshme në IKEv1 Aggressive Mode dhe të mbrojtura në rastet e tjera. Sekreti nuk është kurrë i dukshëm.

Fjalia e fundit ka një kufi që ia vlen të thuhet. Një sekret i dobët, i zgjedhur nga njeriu, mund të sulmohet me hamendje: sulmuesi llogarit sa do të ishte vlera e vërtetimit për një sekret kandidat dhe krahason. IKEv1 Aggressive Mode e bën këtë më të lirën sepse prova është në shesh, dhe standardet paralajmërojnë në përgjithësi për sekrete me entropi të ulët. Të mos e dërgosh kurrë sekretin nuk është njësoj si ta bësh një sekret të keq të sigurt.

Çfarë të bëhet me krahasimin

Përdorni një sekret unik për çdo çift palësh, gjenerojeni nga një burim i rastësishëm dhe rrotullojeni nëpër të njëjtën rrugë furnizimi që e shpërndau. Nëse sekreti ruhet në një shabllon konfigurimi që dërgohet në çdo degë, një kompromis në një vend është kompromis kudo.

Preferoni vërtetimin me bazë certifikatash aty ku kostoja operative është e pranueshme, pasi heq problemin e hamendjes së sekretit të përbashkët dhe i jep çdo pale një identitet të veçantë. Aty ku mbetet një çelës i përbashkët paraprak, mbajeni të gjatë, kufizoni shtrirjen dhe trajtojeni versionin IKE si vendim sigurie, jo si detaj ndërveprimi.

Artikuj të ngjashëm